Bug 1548189 - drupal: JavaScript cross-site scripting in checkPlain function
Summary: drupal: JavaScript cross-site scripting in checkPlain function
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20180221,repor...
Depends On: 1548190 1548191 1548192
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-22 23:43 UTC by Laura Pardo
Modified: 2019-06-08 22:42 UTC (History)
5 users (show)

Fixed In Version: drupal 7.57, drupal 8.4.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-25 15:05:52 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-02-22 23:43:47 UTC
A flaw was found in Drupal 7 and Drupal 8. Drupal has a Drupal.checkPlain() JavaScript function which is used to escape potentially dangerous text before outputting it to HTML (as JavaScript output does not typically go through Twig autoescaping). This function does not correctly handle all methods of injecting malicious HTML, leading to a cross-site scripting vulnerability under certain circumstances.


References:
https://www.drupal.org/sa-core-2018-001

Comment 1 Laura Pardo 2018-02-22 23:44:34 UTC
Created drupal7 tracking bugs for this issue:

Affects: epel-all [bug 1548191]
Affects: fedora-all [bug 1548190]


Created drupal8 tracking bugs for this issue:

Affects: fedora-all [bug 1548192]

Comment 2 Shawn Iwinski 2019-02-23 07:49:25 UTC
All dependent bugs have been closed.  Can this tracking bug be closed as well?

Comment 3 Laura Pardo 2019-02-25 15:05:52 UTC
In reply to comment #2:
> All dependent bugs have been closed.  Can this tracking bug be closed as
> well?

Yes. Closing

Comment 4 Fedora Update System 2019-03-12 21:47:46 UTC
drupal6-6.38-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.